System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.UITypeEditor To be added.

Provides a user interface that can edit most types of collections at design time.

- Constructor
  To be added.

  Initializes a new instance of the class using the specified collection type.

  The type of the collection for this editor to edit.
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Cancels changes to the collection.

- Method
  System.Boolean ``

  When implemented in a derived class, this method indicates whether the specified value can be removed from the collection. By default, this method always returns true.

  This method is called when the user tries to remove an item that is an original member of the collection. This method is not called when removing items that were added in the current editing session because they are not yet part of the collection.

  Indicates whether original members of the collection can be removed.

  true if it is permissible to remove this value from the collection; otherwise, false. The default implementation always returns true.

  The value to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  This method indicates whether multiple collection members can be selected within the collection editor dialog box.

  Indicates whether multiple collection items can be selected at once.

  true if it multiple collection members can be selected at the same time; otherwise, false. By default, this returns true.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added.

  This property represents the data type of the items of the collection.

  Gets the data type of each item in the collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added.

  This property represents the data type of the collection object.

  Gets the data type of the collection object.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.ITypeDescriptorContext To be added. To be added.

  Gets a type descriptor that indicates the current context.

  1.0.5000.0
  2.0.0.0
- Method
  System.ComponentModel.Design.CollectionEditor+CollectionForm To be added.

  Creates a new form to display and edit the current collection.

  A to provide as the user interface for editing the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Type

  You can retrieve the data type of the items of the collection from the property, which is faster than this method.

  This method does not need to be called by users, except in derived classes where this method has been overridden and implemented.

  The default implementation of this method returns the data type of the Item property of the collection, if it exists.

  Gets the data type that this collection contains.

  The data type of the items in the collection, or an if no Item property can be located on the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added.

  Creates a new instance of the specified collection item type.

  A new instance of the specified object.

  The type of item to create. 1.0.5000.0 2.0.0.0
- Method
  System.Type[]

  You can retrieve the data type of the items of the collection from the property, which is faster than this method.

  This method does not need to be called by users, except in derived classes where this method has been overridden and implemented.

  The default implementation of this method returns the type of all the collection items in a Type array.

  Gets the data types that this collection editor can contain.

  An array of data types that this collection can contain.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Destroys the specified instance of the object.

  The object to destroy. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` To be added.

  Edits the value of the specified object using the specified service provider and context.

  The new value of the object. If the value of the object has not changed, this should return the same object it was passed.

  An that can be used to gain additional context information. A service provider object through which editing services can be obtained. The object to edit the value of. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.String `` To be added.

  Retrieves the display text for the given list item.

  The display text for .

  The list item for which to retrieve display text.
- Method
  System.Drawing.Design.UITypeEditorEditStyle `` To be added.

  Gets the edit style used by the method.

  A enumeration value indicating the provided editing style. If the method is not supported in the specified context, this method will return the identifier.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] `` To be added.

  Gets an array of objects containing the specified collection.

  An array containing the collection objects, or an empty object array if the specified collection does not inherit from .

  The collection to edit. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Collections.IList `` To be added.

  Returns a list containing the given object

  An which contains the individual objects to be created.

  An returned as an object.
- Method
  System.Object `` To be added.

  Gets the requested service, if it is available.

  An instance of the service, or null if the service cannot be found.

  The type of service to retrieve. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added.

  Override this property to display a different Help topic.

  Gets the Help keyword to display the Help topic or topic list for when the editor's dialog box Help button or the F1 key is pressed.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type[] To be added.

  This property indicates the data types that can be added to the collection. By default, this returns a single type of . If more than one type is returned, the collection editor UI provides a way to choose which item type to create.

  Gets the available types of items that can be created for this collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` ``

  If setting requires that a new object be created, the new object is returned. Otherwise, the parameter is returned.

  Sets the specified array as the items of the collection.

  The newly created collection object or, otherwise, the collection indicated by the parameter.

  The collection to edit. An array of objects to set as the collection items. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Displays the default Help topic for the collection editor.

  1.0.5000.0
  2.0.0.0